program ex5
   implicit none
   integer :: me
   real :: w(4)[*]

   me = this_image()
   w = me
   call sub(me,w)
   write(*,*) 'In main on image',this_image(), 'w= ',w 
end
      
subroutine sub(n,w)
   implicit none
   integer :: n
   real :: w(n)
   write(*,*) 'In sub on image',this_image(), 'w= ',w 
end subroutine
